<?php
/**
 * chic-lifestyle Theme Customizer
 *
 * @package Chic Lifestyle
 */

$panels   = array( 'homepage-panel', 'colors-fonts-panel' );

require get_template_directory() . '/inc/customizer/custom-controls.php';

add_action( 'customize_register', 'chic_lifestyle_change_homepage_settings_options' );
function chic_lifestyle_change_homepage_settings_options( $wp_customize)  {
	$wp_customize->get_section('title_tagline')->priority = 12;
	$wp_customize->get_section('static_front_page')->priority = 13;

	$wp_customize->remove_control('header_textcolor');

	Kirki::add_field( 'chic_lifestyle_logo_size', array(
        'type'        => 'slider',
        'settings'    => 'chic_lifestyle_logo_size',
        'label'       => esc_html__( 'Logo Size', 'chic-lifestyle' ),
        'section'     => 'title_tagline',
        'priority' => 8, 
        'default'     => 400,
        'choices'     => array(
            'min'  => 200,
            'max'  => 500,
            'step' => 1,
        ),
    ) );

    $wp_customize->add_setting( 'site_title_color_option', array(
        'capability'  => 'edit_theme_options',
        'default'     => '#000',
        'sanitize_callback' => 'chic_lifestyle_sanitize_hex_color',
        'transport'   => 'refresh'
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'site_title_color_option', array(
        'label'      => esc_html__( 'Site Title Color', 'chic-lifestyle' ),
        'section'    => 'title_tagline',
        'settings'   => 'site_title_color_option',
        'priority'   => 14
    ) ) );

    $wp_customize->add_setting( 'site_title_font_family', array(
        'capability'  => 'edit_theme_options',
        'default'     => 'Rock Salt',
        'sanitize_callback' => 'chic_lifestyle_sanitize_google_fonts',
    ) );

    $wp_customize->add_control( 'site_title_font_family', array(
        'settings'    => 'site_title_font_family',
        'label'       =>  esc_html__( 'Choose Font Family For Site Title', 'chic-lifestyle' ),
        'section'     => 'title_tagline',
        'type'        => 'select',
        'choices'     => google_fonts(),
        'priority'    => 15
    ) );

    Kirki::add_field( 'header_image_height', array(
        'type'        => 'slider',
        'settings'    => 'header_image_height',
        'label'       => esc_html__( 'Header Image Height', 'chic-lifestyle' ),
        'section'     => 'title_tagline',
        'priority' => 8, 
        'default'     => 30,
        'choices'     => array(
            'min'  => 15,
            'max'  => 200,
            'step' => 1,
        ),
    ) );
}

$homepage_sections = array( 'slider-section', 'archive-section', 'pages-select-section', 'instagram-section' );


if( ! empty( $panels ) ) :
	foreach( $panels as $panel ){
	    require get_template_directory() . '/inc/customizer/panels/' . $panel . '.php';
	}
endif;


require get_template_directory() . '/inc/customizer/sections/header-layout.php';


if( ! empty( $homepage_sections ) ) :
	foreach( $homepage_sections as $section ){
	    require get_template_directory() . '/inc/customizer/sections/homepage-sections/' . $section . '.php';
	}
endif;


require get_template_directory() . '/inc/customizer/sections/colors-fonts.php';

require get_template_directory() . '/inc/customizer/sections/sort-homepage-section.php';

require get_template_directory() . '/inc/customizer/sections/post-options-section.php';

require get_template_directory() . '/inc/customizer/sections/social-media.php';

require get_template_directory() . '/inc/customizer/sections/footer-section.php';


/**
 * Sanitization Functions
*/
require get_template_directory() . '/inc/customizer/sanitization-functions.php';