<?php
function chic_lifestyle_dynamic_css() {
	wp_enqueue_style(
		'dynamic-css', get_template_directory_uri() . '/css/dynamic.css'
	);

        $site_title_color = get_theme_mod( 'site_title_color_option', '#000' );
        $site_title_font_family = esc_attr( get_theme_mod( 'site_title_font_family', 'Rock Salt' ) );

        $primary_color = get_theme_mod( 'primary_colors', '#ffc000' );
        $secondary_color = get_theme_mod( 'secondary_colors', '#3e63b6' );
        $font_color = get_theme_mod( 'font_color', '#333' );
        $menu_font_color = get_theme_mod( 'menu_font_color', '#000' );

        $font_family = esc_attr( get_theme_mod( 'font_family', 'Poppins' ) );
        $font_size = esc_attr( get_theme_mod( 'font_size', '13px' ) );
        $font_weight = absint( get_theme_mod( 'chic_lifestyle_font_weight', 400 ) );
        $line_height = absint( get_theme_mod( 'chic_lifestyle_line_height', 22 ) );
       
        $logo_size = absint( get_theme_mod( 'chic_lifestyle_logo_size', 400 ) );
        $logo_font_size = absint( $logo_size / 10 );
        $header_image_height = absint( get_theme_mod( 'header_image_height', 30 ) );

        $heading_font_family = esc_attr( get_theme_mod( 'heading_font_family', 'Poppins' ) );
        $heading_font_weight = esc_attr( get_theme_mod( 'heading_font_weight', 400 ) );


        $default_size = array(
                '1' =>  32,
                '2' =>  28,
                '3' =>  24,
                '4' =>  20,
                '5' =>  15,
                '6' =>  12,
        );

	    for( $i = 1; $i <= 6 ; $i++ ) {
	    	$heading[$i] = absint( get_theme_mod( 'chic_lifestyle_heading_' . $i . '_size', absint( $default_size[$i] ) ) );
	    }


        $dynamic_css = "
                body{ font: $font_weight $font_size/$line_height"."px $font_family; color: $font_color; }
                section.logo img{ width: {$logo_size}"."px; }
                section.logo .site-title{ font-size: {$logo_font_size}"."px; font-family: $site_title_font_family;}
                section.logo{padding: {$header_image_height}" . "px 0;}
                section.logo a.main-logo{color: $site_title_color}
                section.main-nav .navbar-inverse .navbar-nav > li > a{color: $menu_font_color}

                
                .pri-color,.banner-news .banner-news-caption a.news-category:visited{color: $primary_color}

                .popular-news-snippet .summary .news-category,.pri-bg-color,.jetpack_subscription_widget,.widget_search,.search-submit,section.header-2.fix-top,.banner-news-2 .banner-news-caption{background-color: $primary_color;}

                h5.widget-title,h5.category{color: $primary_color;}
                h5.category a{color: $primary_color;}

                .home-pages .page-home-summary h5.category:hover{background: $primary_color;}
                section.main-nav .navbar-inverse .navbar-nav > .active > a, section.main-nav .navbar-inverse .navbar-nav > .active > a:hover, section.main-nav .navbar-inverse .navbar-nav > .active > a:focus{color: $primary_color;}

                
                .sec-color,a, a:visited,h2.news-heading,h4.news-title a:hover{color: $secondary_color;}
                .news-ticker b,.sec-bg-color,section.header-3.fix-top,.owl-carousel .owl-nav .owl-next,.owl-carousel .owl-nav .owl-prev{background-color: $secondary_color;}

                
                h1{ font: $heading_font_weight {$heading[1]}"."px $heading_font_family }
                h2{ font: $heading_font_weight {$heading[2]}"."px $heading_font_family }
                h3{ font: $heading_font_weight {$heading[3]}"."px $heading_font_family }
                h4{ font: $heading_font_weight {$heading[4]}"."px $heading_font_family }
                h5{ font: $font_weight {$heading[5]}"."px $font_family }
                h6{ font: $font_weight {$heading[6]}"."px $font_family }


               
        ";
        wp_add_inline_style( 'dynamic-css', $dynamic_css );
}
add_action( 'wp_enqueue_scripts', 'chic_lifestyle_dynamic_css' );
?>